Tasuku
ReferenceAPI referenceReviews

Return quality analytics or export them as CSV

GET/organizations/{organization_id}/analytics/reviews

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128

Query Parameters

days?integer
Range1 <= value <= 365
Default30
repository_id?string
Length1 <= length <= 128
author?string
format?"csv"

Value in

  • "csv"

Response Body

curl -X GET "https://example.com/organizations/string/analytics/reviews"
{  "data": {    "findings": 0,    "resolved": 0,    "outdated": 0,    "feedback": 0,    "helpful": 0,    "not_helpful": 0,    "false_positives": 0,    "acceptance_rate": 0,    "false_positive_rate": 0,    "by_category": {      "property1": 0,      "property2": 0    },    "by_severity": {      "property1": 0,      "property2": 0    },    "quality_segments": [      {        "rule_id": "string",        "rule_source": "string",        "repository_id": "string",        "repository": "string",        "provider": "string",        "model": "string",        "feedback": 0,        "helpful": 0,        "not_helpful": 0,        "false_positives": 0,        "minimum_sample": 1,        "sample_sufficient": true,        "acceptance_rate": 0,        "false_positive_rate": 0,        "representative_finding_id": "string",        "representative_pull_request_id": "string"      }    ]  }}